<a name="qtox" \>
<p align="center">
<img src="https://qtox.github.io/assets/imgs/logo_head.png" alt="qTox" />
</p>
---
<p align="center">
<a href="https://github.com/qTox/qTox/blob/master/LICENSE">
<img src="https://img.shields.io/badge/license-GPLv3%2B-blue.svg" alt="GPLv3+" />
</a>
<a href="https://travis-ci.org/qTox/qTox">
<img src="https://travis-ci.org/qTox/qTox.svg?branch=master" alt="Travis CI" />
</a>
<a href="https://hosted.weblate.org/engage/tox/?utm_source=widget">
<img src="https://hosted.weblate.org/widgets/tox/-/svg-badge.svg"
     alt="Translate on Weblate" />
</a>
<a href="https://github.com/qTox/release-schedule/blob/master/README.md">
<img src="https://qtox.github.io/release-schedule/status.svg"
title="Week of Merges: population of Merges increases!

Week of Testing: Your mana regenerates!" />
</a></p>
---
<p align="center"><b>
qTox is a powerful Tox client that follows the Tox design guidelines
while running on all major platforms.
</b></p>

 **[User Manual] |**
 **[Install/Build] |**
 **[Roadmap] |**
 **[Report bugs] |**
 **[Jenkins builds] |**
 **[Mailing list] |**
 **IRC:** [#qtox@freenode]

====

Windows | Linux | OS X | FreeBSD
--------|-------|------|--------
**[64 bit installer]**, [signature][sig-64] | **[CentOS, Debian, Fedora, openSUSE, Ubuntu]** | **[Building instructions]** | **[Port]**
[32 bit installer], [signature][sig-32] | **[Arch]**, **[Gentoo]** | [Experimental download] |
[64 bit][64portable], [32 bit][32portable] portable | [Other] | |

_**Bold** options are recommended._

Builds other than installer/packages don't receive updates automatically, so
make sure you get back to this site and regularly download the latest version of
qTox.

### Help us

If you're wondering how could you help, fear not, there are plenty of ways
:smile:

Some of them are:

* Spread the good word about qTox to make it more popular :smile:
* Have an opinion? Make sure to [voice it in the issues that need it] :wink:
* Fixing [easy issues] or [issues that need help]. Make sure to read
  [Contributing] first though :wink:
* [Testing] and [reporting bugs]
* [Translating, it's easy]
* [Reviewing and testing pull requests] – you don't need to be able to code to
  do that :wink:


### Screenshots
Note: The screenshots may not always be up to date, but they should give a good
idea of the general look and features.


![Screenshot 01](https://i.imgur.com/olb89CN.png)
![Screenshot 02](https://i.imgur.com/tmX8z9s.png)


### Features

- One to one chat with friends
- Group chats
- File transfers, with previewing of images
- Audio calls, including group calls
- Video calls
- ToxMe and Tox URI support
- Translations in over 30 languages
- Avatars
- Faux offline messages
- History
- Screenshots
- Emoticons
- Auto-updates on Windows and packages on Linux
- And many more options!


### Organizational stuff

Happens in both IRC channel [#qtox@freenode] and on [qTox-dev mailing list].
If you are interested in participating, **join the channel** and **subscribe to
the mailing list**.

There are [IRC logs] available.



[#qtox@freenode]: https://webchat.freenode.net/?channels=qtox
[32 bit installer]: https://build.tox.chat/view/qtox/job/qTox_pkg_windows_x86_stable_release/lastSuccessfulBuild/artifact/setup-qtox.exe
[32portable]: https://build.tox.chat/job/qTox_build_windows_x86_release/lastSuccessfulBuild/artifact/qTox_build_windows_x86_release.zip
[64 bit installer]: https://build.tox.chat/view/qtox/job/qTox_pkg_windows_x86-64_stable_release/lastSuccessfulBuild/artifact/setup-qtox.exe
[64portable]: https://build.tox.chat/job/qTox_build_windows_x86-64_release/lastSuccessfulBuild/artifact/qTox_build_windows_x86-64_release.zip
[Arch]: /INSTALL.md#arch
[Building instructions]: /INSTALL.md#os-x
[CentOS, Debian, Fedora, openSUSE, Ubuntu]: https://software.opensuse.org/download.html?project=home%3Aantonbatenev%3Atox&package=qtox
[Contributing]: /CONTRIBUTING.md#how-to-start-contributing
[easy issues]: https://github.com/qTox/qTox/labels/E-easy
[Experimental download]: https://github.com/qTox/qTox/releases/latest
[Gentoo]: /INSTALL.md#gentoo
[Install/Build]: /INSTALL.md
[IRC logs]: https://github.com/qTox/qtox-irc-logs
[issues that need help]: https://github.com/qTox/qTox/labels/help%20wanted
[Jenkins builds]: https://build.tox.chat/
[Mailing list]: https://lists.tox.chat
[Other]: /INSTALL.md#linux
[qTox-dev mailing list]: https://lists.tox.chat/listinfo/qtox-dev
[Port]: /INSTALL.md#freebsd-easy
[Report bugs]: https://github.com/qTox/qTox/wiki/Writing-Useful-Bug-Reports
[reporting bugs]: https://github.com/qTox/qTox/wiki/Writing-Useful-Bug-Reports
[Reviewing and testing pull requests]: /CONTRIBUTING.md#reviews
[Roadmap]: https://github.com/qTox/qTox/milestones
[sig-32]: https://qtox-win.pkg.tox.chat/qtox/win32/setup-qtox.exe.asc
[sig-64]: https://qtox-win.pkg.tox.chat/qtox/win64/setup-qtox.exe.asc
[Testing]: https://github.com/qTox/qTox/wiki/Testing
[Translating, it's easy]: /translations/README.md
[User Manual]: /doc/user_manual_en.md
[voice it in the issues that need it]: https://github.com/qTox/qTox/labels/I-feedback-wanted
